using System;

namespace poklon
{
    class Program
    {
        static void sdneirf()
        {
            string[] red = Console.ReadLine().Split(' ');
            for (int i = 0; i < int.Parse(red[0]); i++)
            {
                string niz = Console.ReadLine();
            }
            Console.WriteLine(1);
        }
        static void Main(string[] args)
        {
            sdneirf();
        }
    }
}